CRMchat APIBeta
Telegram APIPhotos

photos.updateProfilePhoto

POST
/workspaces/{workspaceId}/telegram-accounts/{accountId}/call/photos.updateProfilePhoto

Installs a previously uploaded photo as a profile photo.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

workspaceId*string

Workspace ID

accountId*string

Telegram account ID

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

params*

Installs a previously uploaded photo as a profile photo.

Response Body

application/json

application/json

curl -X POST "https://example.com/workspaces/string/telegram-accounts/string/call/photos.updateProfilePhoto" \  -H "Content-Type: application/json" \  -d '{    "params": {      "id": {        "_": "inputPhotoEmpty"      }    }  }'
{  "result": {    "_": "photos.photo",    "photo": {      "_": "photoEmpty",      "id": "string"    },    "users": [      {        "_": "userEmpty",        "id": 0      }    ]  }}